/*
 * Copyright © 2014 Kosma Moczek <kosma@cloudyourcar.com>
 * This program is free software. It comes without any warranty, to the extent
 * permitted by applicable law. You can redistribute it and/or modify it under
 * the terms of the Do What The Fuck You Want To Public License, Version 2, as
 * published by Sam Hocevar. See the COPYING file for more details.
 */
 
#if USE_LIB_RINGFS_RAM==1 

#ifndef LIB_RINGFS_RAM_H
#define LIB_RINGFS_RAM_H

#include <stdint.h>
//#include <unistd.h>

struct rfs_dev_ram;

extern struct rfs_dev_ram *ramHandle;
extern struct ringfs_flash_partition rfs_disk_ram;

void init_flash_driver_ram(void);

struct rfs_dev_ram *rfs_dev_ram_open(const char *name, int size, int sector_size);
void rfs_dev_ram_close(struct rfs_dev_ram *sim);

void rfs_dev_ram_sector_erase(struct rfs_dev_ram *sim, int addr);
void rfs_dev_ram_read(struct rfs_dev_ram *sim, int addr, uint8_t *buf, int len);
void rfs_dev_ram_program(struct rfs_dev_ram *sim, int addr, const uint8_t *buf, int len);

#endif		//---------------------LIB_RINGFS_RAM_H-------------------------//


#endif //----------------------USE_LIB_RINGFS_RAM==1-----------------------//
/* vim: set ts=4 sw=4 et: */
